{%- layout none -%}
{%- capture content -%}
	{{ content_for_index }}
{%- endcapture -%}

{%- assign settings_json = "" -%}
{%- assign separator = "," -%}

{%- for key in settings -%}
	{%- if settings_json != "" -%}
		{%- assign settings_json = settings_json | append: separator -%}
	{%- endif -%}

	{%- capture item -%}
		"{{- key -}}": {{- settings[key] | json -}}
	{%- endcapture -%}

	{%- assign settings_json = settings_json | append: item -%}
{%- endfor -%}

{
	"assetsUrl": {{- 'empty.png' | asset_img_url: 'master' | replace: 'empty.png', '%%file%%' | json -}},
	"fileUrl": {{- 'empty.png' | file_img_url: 'master' | replace: 'empty.png', '%%file%%' | json -}},
	"linkToVendor": {{- 'brand' | link_to_vendor: class: 'className' | replace: 'brand', '%%brand%%' | replace: 'className', '%%className%%' | json -}},
	"shop": {
		"currency": {{- shop.currency | json -}},
		"money_format": {{- shop.money_format | json -}},
		"money_with_currency_format": {{- shop.money_with_currency_format | json -}}
	},
	"currency": {
		"cart": {{- cart.currency | json -}}
	},
	"settings": {
		{{- settings_json -}}
	},
	"routes": {
		"root_url": {{- routes.root_url | json -}},
		"account_url ": {{- routes.account_url | json -}},
		"account_login_url": {{- routes.account_login_url | json -}},
		"account_logout_url": {{- routes.account_logout_url | json -}},
		"account_register_url": {{- routes.account_register_url | json -}},
		"account_addresses_url": {{- routes.account_addresses_url | json -}},
		"collections_url": {{- routes.collections_url | json -}},
		"all_products_collection_url": {{- routes.all_products_collection_url | json -}},
		"search_url": {{- routes.search_url | json -}},
		"cart_url": {{- routes.cart_url | json -}},
		"cart_add_url": {{- routes.cart_add_url | json -}},
		"cart_change_url": {{- routes.cart_change_url | json -}},
		"cart_clear_url": {{- routes.cart_clear_url | json -}},
		"product_recommendations_url": {{- routes.product_recommendations_url | json -}},
		"checkout": "/checkout"
	},
	"customer": {{- customer | json -}},
	"request": {
		"design_mode": {{- request.design_mode | json -}},
		"host ": {{- request.host | json -}},
		"locale": {{- request.locale | json -}},
		"path": {{- request.path | json -}}
	}
}
